=== debian/control ===
Source: ros-indigo-husky-base
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-hardware-interface, ros-indigo-husky-msgs, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/husky_base
Standards-Version: 3.9.2

Package: ros-indigo-husky-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-diff-drive-controller, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-husky-control, ros-indigo-husky-description, ros-indigo-husky-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-topic-tools
Description: Clearpath Husky robot driver
